Imports System.Web.Mvc
Imports System.Web.Routing
Imports MultiServing.Framework.Wurfl
Imports MultiServing.ProfileManager.Mvc
Imports WURFL
Imports WURFL.Aspnet.Extensions.Config

Namespace MultiServing
	Public Class MyApp
		Inherits HttpApplication

		Public Shared WurflContainer As IWURFLManager

		Public Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
			filters.Add(New HandleErrorAttribute)
		End Sub

		Public Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
			routes.IgnoreRoute("{resource}.axd/{*pathInfo}")

			routes.MapRoute("Default", "{controller}/{action}/{id}", New With {Key .controller = "Home", Key .action = "Index", Key .id = UrlParameter.Optional}) ' Parameter defaults -  URL with parameters -  Route name
		End Sub

		Protected Sub Application_Start()
			RegisterGlobalFilters(GlobalFilters.Filters)
			RegisterRoutes(RouteTable.Routes)
			RegisterWurfl()

			DependencyResolver.SetResolver(New SimpleDependencyResolver)

			ViewEngines.Engines.Clear()
			ViewEngines.Engines.Add(New MobileRazorViewEngine)
		End Sub

		Public Shared Sub RegisterWurfl()
			Dim configurer = New ApplicationConfigurer
			WurflContainer = WURFLManagerBuilder.Build(configurer)
		End Sub
	End Class
End Namespace
