Imports MultiServing.Framework.Wurfl
Imports MultiServing.Services.Shared
Imports MultiServing.ViewModels.Home

Namespace MultiServing.Services.Home
	Public Class HomeOrchestrator
		Implements IHomeOrchestrator

		Public Function GetModelForIndex() As IndexViewModel Implements IHomeOrchestrator.GetModelForIndex
			Return New IndexViewModel With {.Title = "Home", .StatusMessage = "This site is not available on desktop browsers. Try using a mobile or tablet browser.", .HotNews = GetHotNewsInternal(), .ImageUrl = GetPicOfTheDayInternal()}
		End Function

		Public Function GetAppStoreLink(ByVal userAgent As String) As String Implements IHomeOrchestrator.GetAppStoreLink
			' Suppose we have only an iOS native app to point to (i.e. no Android, BB, WP7)
			Dim deviceInfo = MyApp.WurflContainer.GetDeviceForRequest(userAgent)
			Return If(deviceInfo.HasOs("iphone os", New Version(3, 0)), "For a better experience, try out the iOS app!", String.Empty)
		End Function

		Private Function GetHotNewsInternal() As String
			Return "Hey, this is great stuff!"
		End Function

		Private Function GetPicOfTheDayInternal() As String
			Return "pic1.jpg"
		End Function
	End Class
End Namespace
